pearl-pmsco-import.ipf File Reference
ARPES package

data import/export procedures for multiple scattering calculations. More...

Go to the source code of this file.

## Namespaces

| PearlPmscoImport
| data import/export procedures for multiple scattering calculations.

## Functions

string | pmsco_save_scan (string pathname, string filename, string energy, string theta, string phi, string alpha, string intensity, string sigma, dfref sdfr=defaultValue)
| save waves in a PMSCO scan data file. More...
static string | save_scan_helper (string destname, string value, wave template, dfref destdfr, string wavenames)
| helper function for save_pmsco_scan() More...
string | pmsco_load_xyz (string pathname, string filename)
| load an xyz cluster file More...

## Detailed Description

data import/export procedures for multiple scattering calculations.

Author
  matthias muntwiler, matth.nosp@m.ias..nosp@m.muntw.nosp@m.iler.nosp@m.@psi..nosp@m.ch

Copyright
  2018 Paul Scherrer Institut
  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0

Definition in file pearl-pmsco-import.ipf.

## Function Documentation

## pmsco_load_xyz()

string pmsco_load_xyz | ( | string | pathname,
|  | string | filename
| ) |  |

load an xyz cluster file

load an xyz cluster file into the current data folder the wave names are at (atom types), xx, yy, and zz. at is a text wave containing chemical symbols. existing waves are overwritten.

Parameters

  pathname | name of igor symbolic path. can be empty (path is taken from filename argument).
  filename | file system path. can be empty (will open dialog).

Definition at line 188 of file pearl-pmsco-import.ipf.

## pmsco_save_scan()

string pmsco_save_scan | ( | string | pathname,
|  | string | filename,
|  | string | energy,
|  | string | theta,
|  | string | phi,
|  | string | alpha,
|  | string | intensity,
|  | string | sigma,
|  | dfref | sdfr = `defaultValue`
| ) |  |

save waves in a PMSCO scan data file.

Warning
  experimental. this function is work in progress.

cases

- phd scan: separate energy, theta, phi, alpha, intensity waves
- hemi scan: separate energy, theta, phi, intensity waves
- polar/azi scan: intensity wave, angle is in x scale

options

- sigma wave

the data arguments are strings and can be

- the name of an existing wave (optionally including a path relative to the specified source folder),
- the string representation of a constant numeric value,
- a dimension specifier ("x", "y", "z" or "t") referring to the dimension scale of the intensity wave, or
- an empty string if the corresponding axis should not be saved.

wave names can include a path relative to the specified source data folder. by default, the function looks in the folder specified by the sdfr argument.

Parameters

  pathname | name of igor symbolic path to destination folder. prompt user if empty.
  filename | requested file name. prompt user if empty.

Note
  the extension should include the symbols of the included parameters in the order "etpais". if the intensity wave contains a modulation function, ".modf" should be inserted before the extension. in interactive mode, igor tends to override the file extension with a standard one like ".txt".

Parameters

  energy | energy specification. see description above.
  theta | theta specification. see description above.
  phi | phi specification. see description above.
  alpha | alpha specification. see description above.
  intensity | name of intensity (or modulation) wave. this parameter is mandatory and must refer to an existing wave.
  sigma | sigma specification. see description above.
  sdfr | source data folder reference. default: current data folder.

Returns
  file name

Definition at line 88 of file pearl-pmsco-import.ipf.

## save_scan_helper()

static string save_scan_helper | ( | string | destname,
|  | string | value,
|  | wave | template,
|  | dfref | destdfr,
|  | string | wavenames
| ) |  |

static

helper function for save_pmsco_scan()

Definition at line 126 of file pearl-pmsco-import.ipf.